> ## Documentation Index
> Fetch the complete documentation index at: https://browseruse-0aece648-larsen-v1-unified-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Browser Recording

> Presigned, expiring mp4 URL for the browser's recording (if one exists).



## OpenAPI

````yaml /cloud/openapi/v1.json get /browsers/{browser_id}/recording
openapi: 3.1.0
info:
  title: Browser Use API v1
  summary: Unified /api/v1 preview spec, non-production only
  version: 1.0.0
servers:
  - url: https://api-staging-ufcbwvyv9yifyyvc3.browser-use.com/api/v1
    description: Browser Use API v1 (staging)
security: []
paths:
  /browsers/{browser_id}/recording:
    get:
      tags:
        - Browsers
      summary: Get Browser Recording
      description: Presigned, expiring mp4 URL for the browser's recording (if one exists).
      operationId: get_browser_recording_browsers__browser_id__recording_get
      parameters:
        - name: browser_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Browser Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Recording'
        '404':
          description: Browser not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BrowserNotFoundError'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Recording:
      properties:
        url:
          type: string
          title: Url
          description: Presigned, expiring mp4 URL.
      type: object
      required:
        - url
      title: Recording
    BrowserNotFoundError:
      properties:
        detail:
          type: string
          title: Detail
          description: Human-readable error message
      type: object
      required:
        - detail
      title: BrowserNotFoundError
      description: No browser with that id in this project.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Browser-Use-API-Key

````